Bug 213581 - irc/quassel: SSL Support broken when building against QT 5.6
Summary: irc/quassel: SSL Support broken when building against QT 5.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ben Woods
URL: https://reviews.freebsd.org/D8294
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2016-10-17 23:01 UTC by Christian Schwarz
Modified: 2016-10-28 10:29 UTC (History)
2 users (show)

See Also:
woodsb02: maintainer-feedback+
woodsb02: merge-quarterly+


Attachments
Patch using upstream 4768c9e99f99b581d4e32e797db91d0182391696. (1.39 KB, patch)
2016-10-17 23:01 UTC, Christian Schwarz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Schwarz 2016-10-17 23:01:15 UTC
Created attachment 175889 [details]
Patch using upstream 4768c9e99f99b581d4e32e797db91d0182391696.

When building quassel 0.12.4 against QT 5.6 (e.g. on a 2016Q4 branch), it will be built without SSL support because the check for SSL-library availibility in their CMakeLists.txt file fails to compile.

However, it does not fail to compile because of SSL not being supported by the qt5-network framework, but because of a compilation error regarding position independent code.

Upstream 4768c9e99f99b581d4e32e797db91d0182391696 fixes this issue by adding a cmake directive that sets this C++-Compile-Flag before compiling the SSL-availibility check.

https://github.com/quassel/quassel/commit/4768c9e99f99b581d4e32e797db91d0182391696

Until quassel releases an updated version that includes this fix, we should patch it in ports.

I did a test-run on 2016Q4, worked out fine.
Comment 1 Christian Schwarz 2016-10-21 08:18:22 UTC
Since the patch is rather small and impacts a lot of users, I would like to reduce the normal maintainer timeout for this bug.
Comment 2 commit-hook freebsd_committer 2016-10-27 15:35:56 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Oct 27 15:34:57 UTC 2016
New revision: 424771
URL: https://svnweb.freebsd.org/changeset/ports/424771

Log:
  irc/quasssel: Patch CMakeLists.txt to fix build against SSL with Qt 5.6

  PR:		213581
  Submitted by:	Christian Schwarz (me@cschwarz.com)
  Submitted by:	tcberner
  Reviewed by:	mat
  Approved by:	adamw (mentor, implicit)
  Obtained from:	https://github.com/quassel/quassel/commit/4768c9e99f99b581d4e32e797db91d0182391696
  MFH:		2016Q4
  Differential Revision:	https://reviews.freebsd.org/D8294

Changes:
  head/irc/quassel/Makefile
  head/irc/quassel/files/patch-CMakeLists.txt
Comment 3 commit-hook freebsd_committer 2016-10-27 22:59:32 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Oct 27 22:58:56 UTC 2016
New revision: 424795
URL: https://svnweb.freebsd.org/changeset/ports/424795

Log:
  MFH: r424771

  irc/quasssel: Patch CMakeLists.txt to fix build against SSL with Qt 5.6

  PR:		213581
  Submitted by:	Christian Schwarz (me@cschwarz.com)
  Submitted by:	tcberner
  Reviewed by:	mat
  Approved by:	adamw (mentor, implicit)
  Obtained from:	https://github.com/quassel/quassel/commit/4768c9e99f99b581d4e32e797db91d0182391696
  Differential Revision:	https://reviews.freebsd.org/D8294

  Approved by:	ports-secteam (feld)
  Approved by:	adamw (mentor, implicit)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/irc/quassel/Makefile
  branches/2016Q4/irc/quassel/files/patch-CMakeLists.txt
Comment 4 Ben Woods freebsd_committer 2016-10-27 23:00:35 UTC
Committed, thanks for the patch Christian :)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-28 10:28:13 UTC
@Ben/Tobias, when picking up issues from bugzilla and adding Reviews for them, don't forget to include (either in comment or in the URL field) that the changeset is under review elsewhere, so as to:

- Minimise the chance for duplicated work
- Notify those on the issue of this external (review) process so they can follow along.

This applies for mentees and solo committers alike